
registerType('appdoo.iOS', (function () { function UIWindow() {} var __super = setSupertypeFromDomain(UIWindow, 'UIView', 'appdoo.iOS');

UIWindow.prototype.updateSubviewsForTintColor = function UIWindow__updateSubviewsForTintColor(color) {

		if (Array.isArray(this.subviews)) this.subviews.every(function (subview) {
			if (subview.superviewDidChangeTintColor)
				subview.superviewDidChangeTintColor(color);return true; }, this);
		
		
		var rootView = this.subviews[0].subviews[0];
		if (!rootView) return;
		rootView.superviewDidChangeTintColor(color);
		};
	

UIWindow.prototype.expectedTypeForProperty = function UIWindow_expectedTypeForProperty(key) {
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return UIWindow; }()));